Subject: bug#76891: GNOME session fails to start with uk_UA.utf8 system locale

From: Noé Lopez <[email-masked]>
Date: Thu, 27 Mar 2025 15:43:14 +0100

> On Sun, 2025-03-16 at 12:48 +0200, Roman Riabenko wrote:
> > I tried installing the latest Guix System in a virtual machine in
> > GNOME
> > Boxes. I can select Ukrainian during installation, which changes the
> > language to Ukrainian and results in uk_UA.utf8 locale in the
> > configuration file. The installation goes and completes as expected.
> > I
> > can reboot into the newly installed system. However, after entering
> > the
> > user password in GDM, the progress wheel to the right of the password
> > field spins indefinitely.
> 
> This is still consistently reproducible with the newer image:
> https://ci.guix.gnu.org/build/9724967/details
> 
> Roman
> 

Hi Roman,

I was able to reproduce this in a VM using GDM, even switching to tty2
and trying to login as root doesn’t work.

I thought this might be an issue with the bash startup but even
switching the login shell to tcsh I can’t login.

Even connecting or starting a command through ssh doesn’t work! 

Adding and removing the gdm-service-type seems to trigger it, so here is
a temporary fix you can apply (adapt to your config):

  (services
   (append (list
	    (service sddm-service-type))
	   (modify-services %desktop-services
	     (delete gdm-service-type))))

We still have to wonder why and how gdm-service-type soft locks the
system though…

Have a nice day,
Noé